Arlo|Smart Home Security|Wireless HD Security Cameras

Required update for iOS Arlo mobile app versions 2.15 / Android Arlo mobile app version 2.15

Reply
Discussion stats
  • 0 Replies
  • 1518 Views
  • 0 Likes
  • 1 In Conversation
JamesC
Community Manager
Community Manager

As part of Arlo’s commitments to privacy and security, older versions of the Arlo app are periodically retired. In order to maintain this commitment to privacy and security, versions of the iOS mobile app 2.15 and older and Android Arlo mobile app version 2.15 and older will no longer be supported as of September 16th, 2020.

To continue using the iOS Arlo mobile app after September 16th, 2020, you must upgrade to the latest version of the app available from the app store. The latest version of the iOS and Android Arlo mobile app requires your device to be running iOS 11+ or Android 5+.

If you’re unable to update your mobile device you can continue to use the Arlo web client, available at https://my.arlo.com to access your Arlo system.

0 REPLIES 0
Discussion stats
  • 0 Replies
  • 1519 Views
  • 0 Likes
  • 1 In Conversation